/*
 *	Xoth, (c) 1996 sellin@ifsic.univ-rennes1.fr
 *	Jeu d'Othello pour X11
 *
 */

#define DEFAULT_SERVER		"localhost"
#define DEFAULT_PORT		9999
#define MAX_TRIES		20

#define DEFAULT_WIDTH		380
#define DEFAULT_HEIGHT		460

#define COPYRIGHT_TEXT		"Xoth, (c) 1996 sellin@ifsic.univ-rennes1.fr"
#define TITLE_TEXT		"OTHELLO"

#define COPYRIGHT_FONT		"-adobe-times-*-r-*-*-14-*-*-*-*-*-*-*"
#define TITLE_FONT		"-adobe-new century schoolbook-*-r-*-*-24-*-*-*-*-*-*-*"
#define PSEUDO_FONT		"-adobe-helvetica-*-o-*-*-18-*-*-*-*-*-*-*"
#define MESSAGE_FONT		"-adobe-courier-*-r-*-*-18-*-*-*-*-*-*-*"

#define C_FLECHE		1
#define C_MONTRE		2
#define C_CROIX			3
#define C_UNKNOWN		-1

#define TRACE_FILE		"/travail_temp/xoth_scores"

#define COULEUR_FOND		"gray60"
#define COULEUR_JOUEUR0		"black"
#define COULEUR_JOUEUR1		"white"
#define COULEUR_SCFG		"red"
#define COULEUR_SCBG		"black"

char				*friends[] =
				{
					"sellin",	"Eric",
					"salmon",	"Emeric",
					"marliot",	"Christophe",
					"kyheng",	"Arnaud",
					"lemouel",	"Fred",
					"thomas",	"Franck",
					"bougeard",	"Dede",
					"jaffres",	"Laurent",
					"pouilly",	"Sylvain",
					NULL
				};

#define DIGIT_WIDTH		20
#define DIGIT_HEIGHT		30

static char chiffres[10][90] = {
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x07, 0x00, 0xfe, 0x0b, 0x00, 0xfd,
   0x13, 0x80, 0xfc, 0x23, 0x40, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xe3, 0x7f, 0xfc,
   0xf3, 0xff, 0xfc, 0xfb, 0xff, 0xfd, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xfd,
   0xf3, 0xff, 0xfc, 0xe3, 0x7f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0x23, 0x40, 0xfc, 0x13, 0x80, 0xfc, 0x0b, 0x00, 0xfd, 0x07, 0x00, 0xfe,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd,
   0xff, 0xff, 0xfc, 0xff, 0x7f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x7f, 0xfc,
   0xff, 0xff, 0xfc, 0xff, 0xff, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd,
   0xff, 0xff, 0xfc, 0xff, 0x7f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x7f, 0xfc, 0xff, 0xff, 0xfc, 0xff, 0xff, 0xfd, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x07, 0x00, 0xfe, 0x0f, 0x00, 0xfd,
   0x1f, 0x80, 0xfc, 0x3f, 0x40, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x7f, 0xfc,
   0x1f, 0x80, 0xfc, 0x0f, 0x00, 0xfd, 0x07, 0x00, 0xfe, 0x0b, 0x00, 0xff,
   0x13, 0x80, 0xff, 0xe3, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff,
   0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff,
   0x23, 0xc0, 0xff, 0x13, 0x80, 0xff, 0x0b, 0x00, 0xff, 0x07, 0x00, 0xfe,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x07, 0x00, 0xfe, 0x0f, 0x00, 0xfd,
   0x1f, 0x80, 0xfc, 0x3f, 0x40, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x7f, 0xfc,
   0x1f, 0x80, 0xfc, 0x0f, 0x00, 0xfd, 0x07, 0x00, 0xfe, 0x0f, 0x00, 0xfd,
   0x1f, 0x80, 0xfc, 0xff, 0x7f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0x3f, 0x40, 0xfc, 0x1f, 0x80, 0xfc, 0x0f, 0x00, 0xfd, 0x07, 0x00, 0xfe,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xfd,
   0xf3, 0xff, 0xfc, 0xe3, 0x7f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xe3, 0x7f, 0xfc,
   0x13, 0x80, 0xfc, 0x0b, 0x00, 0xfd, 0x07, 0x00, 0xfe, 0x0f, 0x00, 0xfd,
   0x1f, 0x80, 0xfc, 0xff, 0x7f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x7f, 0xfc, 0xff, 0xff, 0xfc, 0xff, 0xff, 0xfd, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x07, 0x00, 0xfe, 0x0b, 0x00, 0xff,
   0x13, 0x80, 0xff, 0x23, 0xc0, 0xff, 0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff,
   0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xe3, 0xff, 0xff,
   0x13, 0x80, 0xff, 0x0b, 0x00, 0xff, 0x07, 0x00, 0xfe, 0x0f, 0x00, 0xfd,
   0x1f, 0x80, 0xfc, 0xff, 0x7f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0x3f, 0x40, 0xfc, 0x1f, 0x80, 0xfc, 0x0f, 0x00, 0xfd, 0x07, 0x00, 0xfe,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x07, 0x00, 0xfe, 0x0b, 0x00, 0xff,
   0x13, 0x80, 0xff, 0x23, 0xc0, 0xff, 0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff,
   0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xe3, 0xff, 0xff,
   0x13, 0x80, 0xff, 0x0b, 0x00, 0xff, 0x07, 0x00, 0xfe, 0x0b, 0x00, 0xfd,
   0x13, 0x80, 0xfc, 0xe3, 0x7f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0x23, 0x40, 0xfc, 0x13, 0x80, 0xfc, 0x0b, 0x00, 0xfd, 0x07, 0x00, 0xfe,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x07, 0x00, 0xfe, 0x0f, 0x00, 0xfd,
   0x1f, 0x80, 0xfc, 0x3f, 0x40, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x7f, 0xfc,
   0xff, 0xff, 0xfc, 0xff, 0xff, 0xfd, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd,
   0xff, 0xff, 0xfc, 0xff, 0x7f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x7f, 0xfc, 0xff, 0xff, 0xfc, 0xff, 0xff, 0xfd, 0xff, 0xff, 0xff,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x07, 0x00, 0xfe, 0x0b, 0x00, 0xfd,
   0x13, 0x80, 0xfc, 0x23, 0x40, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xe3, 0x7f, 0xfc,
   0x13, 0x80, 0xfc, 0x0b, 0x00, 0xfd, 0x07, 0x00, 0xfe, 0x0b, 0x00, 0xfd,
   0x13, 0x80, 0xfc, 0xe3, 0x7f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0x23, 0x40, 0xfc, 0x13, 0x80, 0xfc, 0x0b, 0x00, 0xfd, 0x07, 0x00, 0xfe,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff},
  {0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x07, 0x00, 0xfe, 0x0b, 0x00, 0xfd,
   0x13, 0x80, 0xfc, 0x23, 0x40, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc,
   0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xc3, 0x3f, 0xfc, 0xe3, 0x7f, 0xfc,
   0x13, 0x80, 0xfc, 0x0b, 0x00, 0xfd, 0x07, 0x00, 0xfe, 0x0f, 0x00, 0xfd,
   0x1f, 0x80, 0xfc, 0xff, 0x7f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc, 0xff, 0x3f, 0xfc,
   0x3f, 0x40, 0xfc, 0x1f, 0x80, 0xfc, 0x0f, 0x00, 0xfd, 0x07, 0x00, 0xfe,
   0xff, 0xff, 0xff, 0xff, 0xff, 0xff}
};

